<Project Sdk="Microsoft.NET.Sdk.Web">
    <PropertyGroup>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <DockerfileContext>..\..</DockerfileContext>
    </PropertyGroup>
    
    <Import Project="..\..\common.props"/>

    <ItemGroup>
        <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="8.0.2"/>
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.1"/>
        <PackageReference Include="Serilog.AspNetCore" Version="8.0.1"/>
        <PackageReference Include="Serilog.Sinks.Async" Version="1.5.0"/>
        <PackageReference Include="Volo.Abp.AspNetCore.Authentication.JwtBearer" Version="8.0.3"/>
        <PackageReference Include="Volo.Abp.AspNetCore.MultiTenancy" Version="8.0.3"/>
        <PackageReference Include="Volo.Abp.AspNetCore.Mvc" Version="8.0.3"/>
        <PackageReference Include="Volo.Abp.AspNetCore.Serilog" Version="8.0.3"/>
        <PackageReference Include="Volo.Abp.Autofac" Version="8.0.3"/>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\Framework\NPin.Framework.AspNetCore.Authentication.OAuth\NPin.Framework.AspNetCore.Authentication.OAuth.csproj"/>
        <ProjectReference Include="..\..\Framework\NPin.Framework.AspNetCore\NPin.Framework.AspNetCore.csproj"/>
        <ProjectReference Include="..\NPin.Application\NPin.Application.csproj" />
        <ProjectReference Include="..\NPin.SqlSugarCore\NPin.SqlSugarCore.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Content Update="appsettings.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>
        <Content Update="wwwroot\icon\**">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>
    </ItemGroup>

    <ItemGroup>
        <Folder Include="wwwroot\icon\"/>
    </ItemGroup>

    <ItemGroup>
        <None Update="ip2region.db">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </None>
    </ItemGroup>

</Project>
